{ pkgs ? import <nixpkgs> {}}:

let
  # create a modified haskell package set with my package inside it and broken dependencies
  # jailbroken.
  hpkgs = pkgs.haskellPackages.override {
    overrides = hself: hsuper: {
      pituicat = hself.callCabal2nix "mateamt" (gitignore ./.) {};
      affection = hself.callCabal2nix "affection" (gitignore ./extern/affection) {};
      #pg-transact = with pkgs.haskell.lib;
      #  doJailbreak (unmarkBroken (dontCheck hsuper.pg-transact));
    };
  };
  gitignore = dir: pkgs.nix-gitignore.gitignoreSource [] dir;
in
  hpkgs.pituicat.env
